package cn.iocoder.yudao.module.pms.service.yanfan.sip;


import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.device.vo.YfSipDeviceRespVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.sip.device.YfSipDeviceDO;

public interface IRtspCmd {
    void playPause(YfSipDeviceRespVO device, String channelId, String streamId);
    void playReplay(YfSipDeviceRespVO device, String channelId, String streamId);
    void playBackSeek(YfSipDeviceRespVO device, String channelId, String streamId, long seektime);
    void playBackSpeed(YfSipDeviceRespVO device, String channelId, String streamId, Integer speed);
    void setCseq(String streamId);
}
